package contents

import (
)

type CharSet string
const (
	Utf8 = "utf-8"
)

type Type string
const (
	// Using the UTF-8 by default.
	Unknown Type = "application/octet-stream"
	Binary
	Plain Type = "text/plain"
	Css Type = "text/css"
	Html Type = "text/html"
	Json Type = "application/json"
	UrlEncoded = "application/x-www-form-urlencoded"
)

func (t Type) CharSet(set CharSet) Type {
	return t + ";" + Type(set)
}
